> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tightknit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload file

> Uploads and creates a new public file in Tightknit storage.



## OpenAPI

````yaml https://api.tightknit.ai/doc-mintlify post /admin/v0/files
openapi: 3.1.0
info:
  version: 0.0.0
  title: Tightknit OpenAPI
servers:
  - url: https://api.tightknit.ai
    description: Production server
security:
  - Bearer: []
paths:
  /admin/v0/files:
    post:
      tags:
        - Files
      summary: Upload file
      description: Uploads and creates a new public file in Tightknit storage.
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file: {}
                filename:
                  type: string
                  minLength: 1
                  maxLength: 255
                description:
                  type: string
                size:
                  type: integer
                  minimum: 1
              required:
                - file
                - filename
                - size
      responses:
        '201':
          description: File uploaded successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      created_at:
                        type: string
                        format: date-time
                      name:
                        type: string
                      title:
                        type: string
                        nullable: true
                      size:
                        type: number
                      mimetype:
                        type: string
                      url:
                        type: string
                    required:
                      - id
                      - created_at
                      - name
                      - title
                      - size
                      - mimetype
                      - url
                required:
                  - success
                  - data
        '400':
          description: Invalid request or file upload failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '413':
          description: File too large
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '415':
          description: Unsupported file type
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Working With File Attachments](/slack/working-with-file-attachments.md)
- [Branding Guide](/branding.md)
- [Pages](/community-site/pages.md)
- [Members](/studio/members.md)
- [Getting Started](/content-resource-library/getting-started.md)
